[SOLVED] Held Packages

  • I attempted to apt-get update and then apt-get upgrade from the shell on my OMV 3.0.83 and got the following about held packages related to samba:


    The following packages have been kept back:
    python-samba samba samba-common samba-common-bin samba-dsdb-modules samba-libs samba-vfs-modules
    0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 6.x on headless Chenbro NR12000 1U 1x 8m Quad Core E3-1220 3.1GHz 16GB ECC RAM.

  • The following packages have been kept back:
    python-samba samba samba-common samba-common-bin samba-dsdb-modules samba-libs samba-vfs-modules
    0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.

    Oh oh oh, backports. Please note that it is not guaranteed that it will work. OMV does not test against backports.

  • Oh oh oh, backports. Please note that it is not guaranteed that it will work. OMV does not test against backports.

    # apt-get install samba
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    samba : Depends: samba-common (= 2:4.2.14+dfsg-0+deb8u7) but 2:4.2.14+dfsg-0+deb8u6 is to be installed
    Depends: samba-common-bin (= 2:4.2.14+dfsg-0+deb8u7) but 2:4.2.14+dfsg-0+deb8u6 is to be installed
    Depends: samba-libs (= 2:4.2.14+dfsg-0+deb8u7) but 2:4.2.14+dfsg-0+deb8u6 is to be installed
    E: Unable to correct problems, you have held broken packages.

  • I had the same issue just now and could reproduce it with two different machines running OMV 3.0.83. I had to log into via ssh since web update failed on both machines


    I manually executed omv-update, after which only 3 packages were left held:

    Bash
    The following packages have been kept back:
      samba samba-common samba-dsdb-modules
    0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

    Sadly, neither apt-get dist-upgrade nor apt-get install -f samba samba-common samba-dsdb-modules resolved the issue:


    I am open to suggestions...

  • Oh oh oh, backports. Please note that it is not guaranteed that it will work. OMV does not test against backports.

    Regarding the backports: I don't remember adding backports manually to sources.list or sources.list.d.
    But I have


    Code
    deb http://httpredir.debian.org/debian jessie-backports main contrib non-free

    in /etc/apt/sources.list.d/openmediavault-kernel-backports.list


    The only non-standard action I have done was installing omv-extras. omv-extras only provide Debian GNU/Linux, with Linux 4.9.0-0.bpo.3-amd64 as kernel for me. I cannot choose a non-bpo kernel. Or how would I go to a stable kernel that is supported by omv?


    The guide I followed was: http://omv-extras.org/joomla/index.php/guides
    There I chose OMV 3.x (erasmus) (STILL BETA). Yes, it says it's beta but it doesn't provide a non-bpo version.

  • Yes, the kernel is used from backports, but only these packages are pinned, other packages do not come from backports with a origin OMV.


    And yes, there are new samba packages, but i do not have any problems to install them on a origin OMV3 (no omv-extras.org).

  • Just for completeness, my OMV 3 is an upgrade from OMV 2 and I am running the backports kernel and have omv-extras installed.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 6.x on headless Chenbro NR12000 1U 1x 8m Quad Core E3-1220 3.1GHz 16GB ECC RAM.

  • I have the same problem (same packages).

    I think our configuration is quite common and that many others will be seeing the same things. As to how many will come here to report it, who knows.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 6.x on headless Chenbro NR12000 1U 1x 8m Quad Core E3-1220 3.1GHz 16GB ECC RAM.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!